#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tets

%define		module	chardet
Summary:	Character encoding auto-detection in Python 2
Summary(pl.UTF-8):	Automatyczne wykrywanie kodowania znaków w Pythonie 2
Name:		python-%{module}
Version:	4.0.0
Release:	7
License:	LGPL v2.1+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/chardet/
Source0:	https://files.pythonhosted.org/packages/source/c/chardet/%{module}-%{version}.tar.gz
# Source0-md5:	bc9a5603d8d0994b2d4cbf255f99e654
URL:		https://pypi.org/project/chardet/
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-hypothesis
BuildRequires:	python-pytest
%endif
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Character encoding auto-detection in Python. As smart as your browser.

%description -l pl.UTF-8
Automatyczne wykrywanie kodowania znaków w Pythonie. Tak zmyślne jak w
przeglądarce.

%package apidocs
Summary:	API documentation for Python chardet module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona chardet
Group:		Documentation

%description apidocs
API documentation for Python chardet module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona chardet.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%if %{with tests}
%{__python} -m pytest test.py
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install
%py_postclean

mv $RPM_BUILD_ROOT%{_bindir}/chardetect{,-2}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/chardetect-2
%{py_sitescriptdir}/chardet
%{py_sitescriptdir}/chardet-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,api,*.html,*.js}
%endif
%changelog
* Tue Apr 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-chardet.git;a=log;h=auto/th/python-chardet-4.0.0-7

* Mon Mar 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 1afb354
- Rel 7; drop python3 stuff (python3-chardet.spec instead) and rename chardetect to chardetect-2 (chardetect is provided by python3 version)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5a7c470
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> fb4e24f
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 2a75db8
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3de6090
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 39e395f
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 7dbc438
- updated python versions

* Wed Oct 13 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ea6bcb
- Up to 4.0.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 0ed8fec
- release 5 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 907e456
- release 4 (by relup.sh)

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 9206d4a
- pytest-runner is deprecated, call pytest directly

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 12478bb
- doc BR: python3-sphinx_rtd_theme

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7f05efa
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Jul 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 6dd1601
- added Sphinx documentation and unit tests

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 715e803
- python 3.7 rebuild
- release 2 (by relup.sh)

* Wed Aug 02 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> a323fe4
- Version: 3.0.4

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 0692707
- added python3 package, release 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 86ba792
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 43361c1
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 89b49f7
- automatic change: use py_build/py_install macros

